package othello.views;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JPanel;

/**
 * La vue  propos.
 * @author Jean-Franois Berdjugin
 *
 */
public class AbootView extends JDialog implements ActionListener{
	private static final long serialVersionUID = 2977467276808553281L;
	/**
	 * Le bouton qui permet de masquer la vue
	 */
	private JButton fermerJButton;
	/**
	 * Le constructeur de la vue, la vue est une boite de dialogue non modale qui est rattache  un parent
	 * @param parent le parent
	 */
	public AbootView(Window parent)
	{
		super(parent,"A propos", Dialog.ModalityType.MODELESS);
		String s = "<html> <h1> Devoir maison </h1>";
		s =s + "<h2>  m2.23.3 Algorithmique </h2>";
		s=s + "<p> IUT 1 de Grenoble, dpartement SRC, semestre 2, 2009-2010.</p>";
		s = s+"<p>"+"Seul le modle du jeu est  completer. </p></html>";
		JEditorPane editorPane = new JEditorPane("text/html",s);
		editorPane.setBackground(Color.gray);
		editorPane.setEditable(false);
		this.setLayout(new BorderLayout());
		this.add(editorPane, BorderLayout.CENTER);
		
		this.fermerJButton = new JButton("Fermer");
		this.fermerJButton.setBackground(Color.darkGray);
		this.fermerJButton.setForeground(Color.red);
		JPanel panel = new JPanel(new FlowLayout());
		panel.setBackground(Color.gray);
		panel.add(this.fermerJButton);
		this.add(panel, BorderLayout.SOUTH);
		this.pack();
		this.setResizable(false);
		
		this.fermerJButton.addActionListener(this);
	}
	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		this.setVisible(false);
		
	}
}
